/*
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 2003 by Ralf Baechle
 */
#ifndef __ASM_MACH_GENERIC_PARAM_H
#define __ASM_MACH_GENERIC_PARAM_H

#ifndef AUTOCONF_INCLUDED
#include <linux/autoconf.h>
#endif

#ifdef CONFIG_HZ_100
	#define HZ		100			/* Internal kernel timer frequency */
#else
#	ifdef CONFIG_HZ_1000
		#define HZ		1000		/* Internal kernel timer frequency */
#	else
#		error No correct HZ value specified
#	endif
#endif

#endif /* __ASM_MACH_GENERIC_PARAM_H */
